Bug 503027 - nginx should include Auth PAM Module in Fedora
nginx should include Auth PAM Module in Fedora
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nginx (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Hinegardner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-28 07:43 EDT by Evgeny Sizikov
Modified: 2010-05-02 14:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-02 14:31:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evgeny Sizikov 2009-05-28 07:43:50 EDT
In the stock Fedora nginx package there is only one third party module included, nginx-upstream-fair.

However, nginx by itself provides very poor authentication support (only file-based HTTP Basic Auth, actually).

There's a PAM Auth module available for nginx (see full list of 3rd party
modules here http://wiki.nginx.org/Nginx3rdPartyModules#Auth_PAM_Module). With
this module been included we could have a vast number of authentication options
enabled, as almost everything is supported through the PAM.

My initial efforts are available by following links:
Spec URL: ftp://223-223.ru/pub/fedora/specs/nginx.spec
SRPM URL: ftp://223-223.ru/pub/fedora/misc/SRPMS/nginx-0.6.36-2.fc10.src.rpm
Comment 1 Bug Zapper 2009-06-09 12:43:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jeremy Hinegardner 2009-08-03 02:22:04 EDT
It was a mistake for me to include upstream-fair to begin with, and I've removed it in the latest Fedora releases.  I'll keep it in the EL5 release since its there already.     

I've decided its better to just use the plain, fully supported, upstream nginx for fedora/epel.  

Instead of prebuilding an nginx in generaly to satisfy all users, I have started thinking of making a project to build custom builds of nginx with various modules compiled in, and have it create rpms.  I think that would be the more appropriate way to go.  With all the third party module options, one combination is not going to satisfy everyone.

Thoughts?
Comment 3 Evgeny Sizikov 2009-08-03 06:11:26 EDT
1. sounds like "yum install nginx" won't be enough if going with your proposal?

2. having a number of "nginx-<module>" packages won't be handy either (user could want more than one additional module been compiled in the same time)

3. btw, it won't be necessary to have a special project to build custom builds of nginx with (several) additional modules been enabled; you could just update nginx.conf to have per-module defines like "%define mod-pam-auth-enabled 0" with all modules been disabled by default. That would allow one to rebuild from nginx-x.y.z.src.rpm with enabling required modules.
Comment 4 Bug Zapper 2010-04-27 10:33:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jeremy Hinegardner 2010-05-02 14:31:25 EDT
Closing, I'll investigate the idea of using %define <module>-enabled 0 sections and see how that works.

Note You need to log in before you can comment on or make changes to this bug.